// import static allows one to "abbreviate" references within code
// Note the file structure -- MyConstants must be a subdirectory
//     containing both Colors and Fruits
// Note the ambiguous reference to ORANGE the MUST be resolved

import static java.lang.System.out;
import static MyConstants.Colors.*;
import static MyConstants.Fruits.*;

public class ImportStatic {

    public static void main(String[] args) {
        out.println("\nImport Static Example\n");

        out.println("Ambig ORANGE = " + MyConstants.Colors.ORANGE);
        out.println("Color RED    = " + RED);
        out.println("Fruits PEAR  = " + PEAR);

        out.println();
    }

}

/* ----- execution output -----


Import Static Example

Ambig ORANGE = 5
Color RED    = 2
Fruits PEAR  = 501

--------- end output --------- */
